Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeDatabaseConfig..::.ExternalFileDir Field
BTreeDatabaseConfig Class See Also Send Feedback

The path of the directory where external files are stored.

If the database is opened within DatabaseEnvironment, this path setting is ignored during Open(String, BTreeDatabaseConfig). Use ExternalFileDir to identify the current storage location of external files after opening the database.

Replaces BlobDir.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public string ExternalFileDir

Visual Basic (Declaration)
    Public ExternalFileDir As String

Visual C++
    public:
    String^ ExternalFileDir

# See Also

BTreeDatabaseConfig Class
BerkeleyDB Namespace